# Generated by Django 5.2 on 2025-05-07 03:40

import django.db.models.deletion
import uuid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('knowledge_base', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ConversationSummary',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('talent_email', models.EmailField(max_length=254, verbose_name='达人邮箱')),
                ('conversation_id', models.CharField(max_length=100, verbose_name='对话ID')),
                ('summary', models.TextField(verbose_name='对话总结')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否激活')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='conversation_summaries', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': '对话总结',
                'verbose_name_plural': '对话总结',
                'db_table': 'conversation_summaries',
            },
        ),
        migrations.CreateModel(
            name='ChatHistory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('conversation_id', models.CharField(db_index=True, max_length=100)),
                ('title', models.CharField(blank=True, default='New chat', help_text='对话标题', max_length=100, null=True)),
                ('parent_id', models.CharField(blank=True, max_length=100, null=True)),
                ('role', models.CharField(choices=[('user', '用户'), ('assistant', 'AI助手'), ('system', '系统')], max_length=20)),
                ('content', models.TextField()),
                ('tokens', models.IntegerField(default=0, help_text='消息token数')),
                ('metadata', models.JSONField(blank=True, default=dict, help_text="\n    {\n        'model_id': 'xxx',\n        'dataset_id_list': ['id1', 'id2', ...],\n        'dataset_external_id_list': ['ext1', 'ext2', ...],\n        'primary_knowledge_base': 'id1'\n    }\n    ")),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('knowledge_base', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='knowledge_base.knowledgebase')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'chat_history',
                'ordering': ['created_at'],
                'indexes': [models.Index(fields=['conversation_id', 'created_at'], name='chat_histor_convers_33721a_idx'), models.Index(fields=['user', 'created_at'], name='chat_histor_user_id_aa050a_idx'), models.Index(fields=['conversation_id', 'is_deleted'], name='chat_histor_convers_89bc43_idx')],
            },
        ),
    ]
